AnnotationHelper (Tomcat API Documentation)
Keywords: org.apache.jasper.runtime.AnnotationHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class AnnotationHelper

    java.lang.Object
      org.apache.jasper.runtime.AnnotationHelper

    public class AnnotationHelper

extends java.lang.Object

Verify the annotation and Process it.

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Fabien Carrion, Remy Maucherat

Constructor Summary
`AnnotationHelper()`

Method Summary
`static void` | `postConstruct(AnnotationProcessor processor, java.lang.Object instance)` Call postConstruct method on the specified instance.
`static void` | `preDestroy(AnnotationProcessor processor, java.lang.Object instance)` Call preDestroy method on the specified instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationHelper

    public AnnotationHelper()

Method Detail

### postConstruct

    public static void postConstruct(AnnotationProcessor processor,
                                     java.lang.Object instance)
                              throws java.lang.IllegalAccessException,
                                     java.lang.reflect.InvocationTargetException,
                                     javax.naming.NamingException

  Call postConstruct method on the specified instance. Note: In Jasper, this calls naming resources injection as well.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `javax.naming.NamingException`

### preDestroy

    public static void preDestroy(AnnotationProcessor processor,
                                  java.lang.Object instance)
                           throws java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException

  Call preDestroy method on the specified instance.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.